package se.liu.ida.tdde46;

import static io.restassured.RestAssured.get;
import static io.restassured.RestAssured.given;

import org.apache.commons.lang3.RandomStringUtils;
import org.testng.annotations.Test;

import io.restassured.http.ContentType;
import io.restassured.response.Response;
import io.restassured.specification.RequestSpecification;

public class PrincipalsTest {

	final static String HOST_NAME = "http://127.0.0.1:8080/";

	@Test
	public void testGetNonExistingPrincipal() {
		//String principalName = RandomStringUtils.randomAlphanumeric(20);
		String principalName="azeem";
		Response response = get(HOST_NAME + "/principals/" + principalName);
		response.then().statusCode(404);
	}

	@Test
	public void testPutPrincipal() {
		String principalName = RandomStringUtils.randomAlphanumeric(20);
		RequestSpecification request = given().
			contentType(ContentType.JSON).
			accept(ContentType.JSON);
		System.out.println(HOST_NAME + "/principals/" + principalName);
		request.put(HOST_NAME + "/principals/" + principalName).then().statusCode(201);
		request.put(HOST_NAME + "/principals/" + principalName).then().statusCode(204);
	}
}
