# TDDE46 REST API Evaluation Lab
This lab exercise consists of multiple parts:
- Student instructions. Available as src/main/documentation/student-instructions.md in this project. Preferably built to PDF using `mdpdf`.
- Lab assistant instructions. Available as src/main/documentation/lab-assistant-instructions.md in this project. Preferably built to PDF using `mdpdf`.
- Authenticator service requirements. Available as src/main/documentation/requirements.md in this project. Preferably built to PDF using `mdpdf`.
- The Authenticator service. Available under src/main/java in this project. Built into a Docker image using by running `mvn package docker:build -Dv=1.0.0` in the project root.
- The authenticator-test project. This contains testing frameworks and a few example tests to help the students get started testing the Authenticator service. Tests may be executed from an IDE or from the shell using `mvn test -Dv=1.0.0`.
- The authenticator-test-example project. This contains ready solutions for testing the Authenticator service. May be useful as a reference for lab assistants/examiners.

The students are to be provided the following:
- The student instructions document.
- The requirements document.
- The pre-built Authentiator service Docker image.
- The authenticator-test project.
